Create a message template under a WhatsApp Business Account
curl --request POST \
--url https://api.polymorfa.com/{version}/{wabaId}/message_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "order_update",
"language": "en_US",
"category": "UTILITY",
"components": [
null
],
"allow_category_change": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'order_update',
language: 'en_US',
category: 'UTILITY',
components: [null],
allow_category_change: true
})
};
fetch('https://api.polymorfa.com/{version}/{wabaId}/message_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/{version}/{wabaId}/message_templates"
payload = {
"name": "order_update",
"language": "en_US",
"category": "UTILITY",
"components": [None],
"allow_category_change": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/{version}/{wabaId}/message_templates"
payload := strings.NewReader("{\n \"name\": \"order_update\",\n \"language\": \"en_US\",\n \"category\": \"UTILITY\",\n \"components\": [\n null\n ],\n \"allow_category_change\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.polymorfa.com/{version}/{wabaId}/message_templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'order_update',
'language' => 'en_US',
'category' => 'UTILITY',
'components' => [
null
],
'allow_category_change' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"status": "<string>",
"category": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}Graph API
Create a message template under a WhatsApp Business Account
POST
/
{version}
/
{wabaId}
/
message_templates
Create a message template under a WhatsApp Business Account
Authorizations
Polymorfa organization key (titan_ prefix) or project token (titan_pt_ prefix). Client tokens are not accepted by Graph operations.
Body
application/json